[arch-commits] Commit in gzip/repos (6 files)
Sébastien Luttringer
seblu at archlinux.org
Sat Apr 16 22:23:17 UTC 2016
Date: Sunday, April 17, 2016 @ 00:23:17
Author: seblu
Revision: 265075
archrelease: copy trunk to testing-i686, testing-x86_64
Added:
gzip/repos/testing-i686/
gzip/repos/testing-i686/PKGBUILD
(from rev 265074, gzip/trunk/PKGBUILD)
gzip/repos/testing-i686/gzip.install
(from rev 265074, gzip/trunk/gzip.install)
gzip/repos/testing-x86_64/
gzip/repos/testing-x86_64/PKGBUILD
(from rev 265074, gzip/trunk/PKGBUILD)
gzip/repos/testing-x86_64/gzip.install
(from rev 265074, gzip/trunk/gzip.install)
-----------------------------+
testing-i686/PKGBUILD | 37 +++++++++++++++++++++++++++++++++++++
testing-i686/gzip.install | 22 ++++++++++++++++++++++
testing-x86_64/PKGBUILD | 37 +++++++++++++++++++++++++++++++++++++
testing-x86_64/gzip.install | 22 ++++++++++++++++++++++
4 files changed, 118 insertions(+)
Copied: gzip/repos/testing-i686/PKGBUILD (from rev 265074, gzip/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD (rev 0)
+++ testing-i686/PKGBUILD 2016-04-16 22:23:17 UTC (rev 265075)
@@ -0,0 +1,37 @@
+# $Id$
+# Mainainer: Sébastien "Seblu" Luttringer <seblu at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=gzip
+pkgver=1.7
+pkgrel=1
+pkgdesc='GNU compression utility'
+arch=('i686' 'x86_64')
+url='http://www.gnu.org/software/gzip/'
+license=('GPL3')
+groups=('base' 'base-devel')
+depends=('glibc' 'bash' 'less')
+install=gzip.install
+validpgpkeys=('155D3FC500C834486D1EEA677FD9FCCB000BEEEE') # Jim Meyering
+source=("ftp://ftp.gnu.org/pub/gnu/gzip/gzip-$pkgver.tar.xz"{,.sig})
+md5sums=('d9ae97206a703a20e6c1c868deb3eb47'
+ 'SKIP')
+
+build() {
+ cd $pkgname-$pkgver
+ ./configure --prefix=/usr
+ make
+}
+
+check() {
+ cd $pkgname-$pkgver
+ make check
+}
+
+package() {
+ cd $pkgname-$pkgver
+ make prefix="$pkgdir/usr" install
+}
+
+# vim:set ts=2 sw=2 et:
Copied: gzip/repos/testing-i686/gzip.install (from rev 265074, gzip/trunk/gzip.install)
===================================================================
--- testing-i686/gzip.install (rev 0)
+++ testing-i686/gzip.install 2016-04-16 22:23:17 UTC (rev 265075)
@@ -0,0 +1,22 @@
+# vim:set ts=2 sw=2 et:
+
+infodir=usr/share/info
+filelist=(gzip.info)
+
+post_install() {
+ [[ -x usr/bin/install-info ]] || return 0
+ for file in "${filelist[@]}"; do
+ install-info "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install "$1"
+}
+
+pre_remove() {
+ [[ -x usr/bin/install-info ]] || return 0
+ for file in "${filelist[@]}"; do
+ install-info --delete "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+ done
+}
Copied: gzip/repos/testing-x86_64/PKGBUILD (from rev 265074, gzip/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2016-04-16 22:23:17 UTC (rev 265075)
@@ -0,0 +1,37 @@
+# $Id$
+# Mainainer: Sébastien "Seblu" Luttringer <seblu at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=gzip
+pkgver=1.7
+pkgrel=1
+pkgdesc='GNU compression utility'
+arch=('i686' 'x86_64')
+url='http://www.gnu.org/software/gzip/'
+license=('GPL3')
+groups=('base' 'base-devel')
+depends=('glibc' 'bash' 'less')
+install=gzip.install
+validpgpkeys=('155D3FC500C834486D1EEA677FD9FCCB000BEEEE') # Jim Meyering
+source=("ftp://ftp.gnu.org/pub/gnu/gzip/gzip-$pkgver.tar.xz"{,.sig})
+md5sums=('d9ae97206a703a20e6c1c868deb3eb47'
+ 'SKIP')
+
+build() {
+ cd $pkgname-$pkgver
+ ./configure --prefix=/usr
+ make
+}
+
+check() {
+ cd $pkgname-$pkgver
+ make check
+}
+
+package() {
+ cd $pkgname-$pkgver
+ make prefix="$pkgdir/usr" install
+}
+
+# vim:set ts=2 sw=2 et:
Copied: gzip/repos/testing-x86_64/gzip.install (from rev 265074, gzip/trunk/gzip.install)
===================================================================
--- testing-x86_64/gzip.install (rev 0)
+++ testing-x86_64/gzip.install 2016-04-16 22:23:17 UTC (rev 265075)
@@ -0,0 +1,22 @@
+# vim:set ts=2 sw=2 et:
+
+infodir=usr/share/info
+filelist=(gzip.info)
+
+post_install() {
+ [[ -x usr/bin/install-info ]] || return 0
+ for file in "${filelist[@]}"; do
+ install-info "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install "$1"
+}
+
+pre_remove() {
+ [[ -x usr/bin/install-info ]] || return 0
+ for file in "${filelist[@]}"; do
+ install-info --delete "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+ done
+}
More information about the arch-commits
mailing list